List Transformers
GEThttps://api.confident-ai.com/v1/transformers
Lists all the transformers in your Confident AI project. Use the returned ids for an AI connection's transformer fields.
curl -X GET "https://api.confident-ai.com/v1/transformers" \
-H "CONFIDENT_API_KEY: <PROJECT-API-KEY>"{
"success": true,
"data": {
"transformers": [
{
"id": "TRANSFORMER-ID",
"name": "Extract nested answer",
"description": "Pulls the answer out of a nested envelope.",
"createdAt": "2024-01-01T00:00:00.000Z",
"updatedAt": "2024-01-01T00:00:00.000Z"
}
]
},
"deprecated": false
}Headers
CONFIDENT_API_KEYstringRequiredThe API key of your Confident AI project.
Response
The transformers in your project.
successbooleanIndicates if the request was successful.
dataobjectThe transformers in your project.
Show 1 propertyHide 1 property
transformerslist of objectsThe transformers, ordered by name.
Show 5 propertiesHide 5 properties
idstringThe unique identifier of the transformer.
namestringThe name of the transformer.
descriptionstringWhat the transformer extracts.
createdAtstringWhen the transformer was created.
updatedAtstringWhen the transformer was last updated.
deprecatedbooleanIndicates if this endpoint is deprecated.